<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape8_white_bg"
    android:paddingBottom="@dimen/dp_22">

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_dialog_pet_weight_title"
        style="@style/my_TextView_style_v2"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="@dimen/dp_22"
        android:text="@string/acccount_weight"
        android:textSize="@dimen/textSize20"
        app:typeface="@string/roboto_bold_font" />

    <NumberPicker
        android:id="@+id/np_dialog_pet_weight_tens"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_dialog_pet_weight_title"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_toStartOf="@+id/tv_dialog_pet_weight_title" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_dialog_pet_weight_dot"
        style="@style/my_TextView_style_v2"
        android:layout_alignTop="@id/np_dialog_pet_weight_tens"
        android:layout_alignBottom="@id/np_dialog_pet_weight_tens"
        android:layout_marginStart="@dimen/dp_6"
        android:layout_toEndOf="@id/np_dialog_pet_weight_tens"
        android:text="."
        android:textSize="@dimen/textSize24"
        app:typeface="@string/roboto_bold_font" />

    <NumberPicker
        android:id="@+id/np_dialog_pet_weight_unit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignTop="@id/np_dialog_pet_weight_tens"
        android:layout_marginStart="@dimen/dp_6"
        android:layout_toEndOf="@+id/tv_dialog_pet_weight_dot" />

    <NumberPicker
        android:id="@+id/np_dialog_weight_unit_switch"
        android:layout_width="@dimen/dp_40"
        android:layout_height="wrap_content"
        android:layout_alignTop="@id/np_dialog_pet_weight_tens"
        android:layout_toEndOf="@id/np_dialog_pet_weight_unit"
        android:visibility="gone" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_dialog_weight_set_unit"
        style="@style/my_TextView_style_v2"
        android:layout_alignTop="@id/np_dialog_pet_weight_tens"
        android:layout_alignBottom="@id/np_dialog_pet_weight_tens"
        android:layout_marginStart="@dimen/dp_6"
        android:layout_toEndOf="@id/np_dialog_pet_weight_unit"
        android:text="@string/txt_lb"
        android:textSize="@dimen/textSize20"
        app:typeface="@string/roboto_bold_font" />
</RelativeLayout>